--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Rewrites :attrasgn nodes to the unified :call format:"
- !ruby/struct:SM::Flow::P 
  body: "[:attrasgn, lhs, :name=, args],"
- !ruby/struct:SM::Flow::P 
  body: "becomes:"
- !ruby/struct:SM::Flow::P 
  body: "[:call, lhs, :name=, args]"
full_name: Rewriter#process_attrasgn
is_singleton: false
name: process_attrasgn
params: (exp)
visibility: public
